mtext_uppercase(3m17n)

NAME
mtext_uppercase - Uppercase an M-text.

SYNOPSIS
int mtext_uppercase (MText * mt)

DESCRIPTION
Uppercase an M-text.

The mtext_uppercase() function destructively converts each character in M-text mt to uppercase. Adjacent characters in mt may affect the case conversion. If the Mlanguage text property is attached to mt, it may also affect the conversion. The length of mt may change. Characters that cannot be converted to uppercase is left unchanged. All the text properties are inherited.

RETURN VALUE

    This function returns the length of the updated mt.

SEE ALSO

    mtext_lowercase(), mtext_titlecase()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.